Package org.lwjgl.opengl

# Class GL41

java.lang.Object
org.lwjgl.opengl.GL41

public final class GL41 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_PROGRAM`
Accepted by <type> parameter to GetProgramPipelineiv:
`static final int`
`GL_ALL_SHADER_BITS`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_FIXED`
Accepted by the <type> parameter of VertexAttribPointer:
`static final int`
`GL_FRAGMENT_SHADER_BIT`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_GEOMETRY_SHADER_BIT`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_HIGH_FLOAT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_HIGH_INT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_IMPLEMENTATION_COLOR_READ_FORMAT`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_IMPLEMENTATION_COLOR_READ_TYPE`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_LAYER_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_LOW_FLOAT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_LOW_INT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_MAX_FRAGMENT_UNIFORM_VECTORS`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VARYING_VECTORS`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_UNIFORM_VECTORS`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VIEWPORTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MEDIUM_FLOAT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_MEDIUM_INT`
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:
`static final int`
`GL_NUM_PROGRAM_BINARY_FORMATS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static final int`
`GL_NUM_SHADER_BINARY_FORMATS`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_BINARY_FORMATS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:
`static final int`
`GL_PROGRAM_BINARY_LENGTH`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_PROGRAM_BINARY_RETRIEVABLE_HINT`
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:
`static final int`
`GL_PROGRAM_PIPELINE_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_SEPARABLE`
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:
`static final int`
`GL_RGB565`
Accepted by the <format> parameter of most commands taking sized internal formats:
`static final int`
`GL_SHADER_COMPILER`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_TESS_CONTROL_SHADER_BIT`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_TESS_EVALUATION_SHADER_BIT`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_UNDEFINED_VERTEX`
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:
`static final int`
`GL_VERTEX_SHADER_BIT`
Accepted by <stages> parameter to UseProgramStages:
`static final int`
`GL_VIEWPORT_BOUNDS_RANGE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_VIEWPORT_INDEX_PROVOKING_VERTEX`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_VIEWPORT_SUBPIXEL_BITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveShaderProgram(int pipeline, int program)`
`static void`
`glBindProgramPipeline(int pipeline)`
`static void`
`glClearDepthf(float d)`
`static int`
`glCreateShaderProgram(int type, int count, ByteBuffer strings)`
Overloads glCreateShaderProgramv.
`static int`
`glCreateShaderProgram(int type, CharSequence string)`
Overloads glCreateShaderProgramv.
`static int`
`glCreateShaderProgram(int type, CharSequence[] strings)`
Overloads glCreateShaderProgramv.
`static int`
`glCreateShaderProgram(int type, ByteBuffer string)`
Single null-terminated source code string.
`static int`
`glCreateShaderProgram(int type, ByteBuffer[] strings)`
Overloads glCreateShaderProgramv.
`static void`
`glDeleteProgramPipelines(int pipeline)`
Overloads glDeleteProgramPipelines.
`static void`
`glDeleteProgramPipelines(IntBuffer pipelines)`
`static void`
`glDepthRangeArray(int first, DoubleBuffer v)`
`static void`
`glDepthRangef(float n, float f)`
`static void`
`glDepthRangeIndexed(int index, double n, double f)`
`static int`
`glGenProgramPipelines()`
Overloads glGenProgramPipelines.
`static void`
`glGenProgramPipelines(IntBuffer pipelines)`
`static double`
`glGetDouble(int target, int index)`
Overloads glGetDoublei_v.
`static void`
`glGetDouble(int target, int index, DoubleBuffer data)`
`static float`
`glGetFloat(int target, int index)`
Overloads glGetFloati_v.
`static void`
`glGetFloat(int target, int index, FloatBuffer data)`
`static void`
`glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)`
`static void`
`glGetProgramPipeline(int pipeline, int pname, IntBuffer params)`
`static int`
`glGetProgramPipelinei(int pipeline, int pname)`
Overloads glGetProgramPipelineiv.
`static String`
`glGetProgramPipelineInfoLog(int pipeline, int bufSize)`
Overloads glGetProgramPipelineInfoLog.
`static void`
`glGetProgramPipelineInfoLog(int pipeline, IntBuffer length, ByteBuffer infoLog)`
`static void`
`glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)`
`static void`
`glGetVertexAttribL(int index, int pname, DoubleBuffer params)`
`static boolean`
`glIsProgramPipeline(int pipeline)`
`static void`
`glProgramBinary(int program, int binaryFormat, ByteBuffer binary)`
`static void`
`glProgramParameteri(int program, int pname, int value)`
`static void`
`glProgramUniform1(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform1(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform1(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform1d(int program, int location, double v0)`
`static void`
`glProgramUniform1f(int program, int location, float v0)`
`static void`
`glProgramUniform1i(int program, int location, int v0)`
`static void`
`glProgramUniform1u(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform1ui(int program, int location, int v0)`
`static void`
`glProgramUniform2(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform2(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform2(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform2d(int program, int location, double v0, double v1)`
`static void`
`glProgramUniform2f(int program, int location, float v0, float v1)`
`static void`
`glProgramUniform2i(int program, int location, int v0, int v1)`
`static void`
`glProgramUniform2u(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform2ui(int program, int location, int v0, int v1)`
`static void`
`glProgramUniform3(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform3(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform3(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform3d(int program, int location, double v0, double v1, double v2)`
`static void`
`glProgramUniform3f(int program, int location, float v0, float v1, float v2)`
`static void`
`glProgramUniform3i(int program, int location, int v0, int v1, int v2)`
`static void`
`glProgramUniform3u(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform3ui(int program, int location, int v0, int v1, int v2)`
`static void`
`glProgramUniform4(int program, int location, DoubleBuffer value)`
`static void`
`glProgramUniform4(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform4(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform4d(int program, int location, double v0, double v1, double v2, double v3)`
`static void`
`glProgramUniform4f(int program, int location, float v0, float v1, float v2, float v3)`
`static void`
`glProgramUniform4i(int program, int location, int v0, int v1, int v2, int v3)`
`static void`
`glProgramUniform4u(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform4ui(int program, int location, int v0, int v1, int v2, int v3)`
`static void`
`glProgramUniformMatrix2(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix2x3(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2x3(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix2x4(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix2x4(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3x2(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3x2(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3x4(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix3x4(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4x2(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4x2(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4x3(int program, int location, boolean transpose, DoubleBuffer value)`
`static void`
`glProgramUniformMatrix4x3(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glReleaseShaderCompiler()`
`static void`
`glScissorArray(int first, IntBuffer v)`
`static void`
`glScissorIndexed(int index, int left, int bottom, int width, int height)`
`static void`
`glScissorIndexed(int index, IntBuffer v)`
`static void`
`glShaderBinary(IntBuffer shaders, int binaryformat, ByteBuffer binary)`
`static void`
`glUseProgramStages(int pipeline, int stages, int program)`
`static void`
`glValidateProgramPipeline(int pipeline)`
`static void`
`glVertexAttribL1(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL1d(int index, double x)`
`static void`
`glVertexAttribL2(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL2d(int index, double x, double y)`
`static void`
`glVertexAttribL3(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL3d(int index, double x, double y, double z)`
`static void`
`glVertexAttribL4(int index, DoubleBuffer v)`
`static void`
`glVertexAttribL4d(int index, double x, double y, double z, double w)`
`static void`
`glVertexAttribLPointer(int index, int size, int stride, long pointer_buffer_offset)`
`static void`
`glVertexAttribLPointer(int index, int size, int stride, DoubleBuffer pointer)`
`static void`
`glViewportArray(int first, FloatBuffer v)`
`static void`
`glViewportIndexed(int index, FloatBuffer v)`
`static void`
`glViewportIndexedf(int index, float x, float y, float w, float h)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SHADER_COMPILER

public static final int GL_SHADER_COMPILER
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_NUM_SHADER_BINARY_FORMATS

public static final int GL_NUM_SHADER_BINARY_FORMATS
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_UNIFORM_VECTORS

public static final int GL_MAX_VERTEX_UNIFORM_VECTORS
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VARYING_VECTORS

public static final int GL_MAX_VARYING_VECTORS
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_VECTORS

public static final int GL_MAX_FRAGMENT_UNIFORM_VECTORS
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_TYPE

public static final int GL_IMPLEMENTATION_COLOR_READ_TYPE
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_IMPLEMENTATION_COLOR_READ_FORMAT

public static final int GL_IMPLEMENTATION_COLOR_READ_FORMAT
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FIXED

public static final int GL_FIXED
Accepted by the <type> parameter of VertexAttribPointer:

See Also:
  - Constant Field Values

### GL_LOW_FLOAT

public static final int GL_LOW_FLOAT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_MEDIUM_FLOAT

public static final int GL_MEDIUM_FLOAT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_HIGH_FLOAT

public static final int GL_HIGH_FLOAT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_LOW_INT

public static final int GL_LOW_INT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_MEDIUM_INT

public static final int GL_MEDIUM_INT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_HIGH_INT

public static final int GL_HIGH_INT
Accepted by the <precisiontype> parameter of GetShaderPrecisionFormat:

See Also:
  - Constant Field Values

### GL_RGB565

public static final int GL_RGB565
Accepted by the <format> parameter of most commands taking sized internal formats:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_RETRIEVABLE_HINT

public static final int GL_PROGRAM_BINARY_RETRIEVABLE_HINT
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_LENGTH

public static final int GL_PROGRAM_BINARY_LENGTH
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS

public static final int GL_NUM_PROGRAM_BINARY_FORMATS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINARY_FORMATS

public static final int GL_PROGRAM_BINARY_FORMATS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_SHADER_BIT

public static final int GL_VERTEX_SHADER_BIT
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER_BIT

public static final int GL_FRAGMENT_SHADER_BIT
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SHADER_BIT

public static final int GL_GEOMETRY_SHADER_BIT
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SHADER_BIT

public static final int GL_TESS_CONTROL_SHADER_BIT
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SHADER_BIT

public static final int GL_TESS_EVALUATION_SHADER_BIT
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_ALL_SHADER_BITS

public static final int GL_ALL_SHADER_BITS
Accepted by <stages> parameter to UseProgramStages:

See Also:
  - Constant Field Values

### GL_PROGRAM_SEPARABLE

public static final int GL_PROGRAM_SEPARABLE
Accepted by the <pname> parameter of ProgramParameteri and GetProgramiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_PROGRAM

public static final int GL_ACTIVE_PROGRAM
Accepted by <type> parameter to GetProgramPipelineiv:

See Also:
  - Constant Field Values

### GL_PROGRAM_PIPELINE_BINDING

public static final int GL_PROGRAM_PIPELINE_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VIEWPORTS

public static final int GL_MAX_VIEWPORTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_SUBPIXEL_BITS

public static final int GL_VIEWPORT_SUBPIXEL_BITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_BOUNDS_RANGE

public static final int GL_VIEWPORT_BOUNDS_RANGE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_LAYER_PROVOKING_VERTEX

public static final int GL_LAYER_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_VIEWPORT_INDEX_PROVOKING_VERTEX

public static final int GL_VIEWPORT_INDEX_PROVOKING_VERTEX
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_UNDEFINED_VERTEX

public static final int GL_UNDEFINED_VERTEX
Returned in the <data> parameter from a Get query with a <pname> of LAYER_PROVOKING_VERTEX or VIEWPORT_INDEX_PROVOKING_VERTEX:

See Also:
  - Constant Field Values

## Method Details

### glReleaseShaderCompiler

public static void glReleaseShaderCompiler()

### glShaderBinary

public static void glShaderBinary(IntBuffer shaders, int binaryformat, ByteBuffer binary)

### glGetShaderPrecisionFormat

public static void glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)

### glDepthRangef

public static void glDepthRangef(float n, float f)

### glClearDepthf

public static void glClearDepthf(float d)

### glGetProgramBinary

public static void glGetProgramBinary(int program, IntBuffer length, IntBuffer binaryFormat, ByteBuffer binary)

### glProgramBinary

public static void glProgramBinary(int program, int binaryFormat, ByteBuffer binary)

### glProgramParameteri

public static void glProgramParameteri(int program, int pname, int value)

### glUseProgramStages

public static void glUseProgramStages(int pipeline, int stages, int program)

### glActiveShaderProgram

public static void glActiveShaderProgram(int pipeline, int program)

### glCreateShaderProgram

public static int glCreateShaderProgram(int type, ByteBuffer string)
Single null-terminated source code string.

### glCreateShaderProgram

public static int glCreateShaderProgram(int type, int count, ByteBuffer strings)
Overloads glCreateShaderProgramv.

Multiple null-terminated source code strings, one after the other.

### glCreateShaderProgram

public static int glCreateShaderProgram(int type, ByteBuffer[] strings)
Overloads glCreateShaderProgramv.

### glCreateShaderProgram

public static int glCreateShaderProgram(int type, CharSequence string)
Overloads glCreateShaderProgramv.

### glCreateShaderProgram

public static int glCreateShaderProgram(int type, CharSequence[] strings)
Overloads glCreateShaderProgramv.

### glBindProgramPipeline

public static void glBindProgramPipeline(int pipeline)

### glDeleteProgramPipelines

public static void glDeleteProgramPipelines(IntBuffer pipelines)

### glDeleteProgramPipelines

public static void glDeleteProgramPipelines(int pipeline)
Overloads glDeleteProgramPipelines.

### glGenProgramPipelines

public static void glGenProgramPipelines(IntBuffer pipelines)

### glGenProgramPipelines

public static int glGenProgramPipelines()
Overloads glGenProgramPipelines.

### glIsProgramPipeline

public static boolean glIsProgramPipeline(int pipeline)

### glGetProgramPipeline

public static void glGetProgramPipeline(int pipeline, int pname, IntBuffer params)

### glGetProgramPipelinei

public static int glGetProgramPipelinei(int pipeline, int pname)
Overloads glGetProgramPipelineiv.

### glProgramUniform1i

public static void glProgramUniform1i(int program, int location, int v0)

### glProgramUniform2i

public static void glProgramUniform2i(int program, int location, int v0, int v1)

### glProgramUniform3i

public static void glProgramUniform3i(int program, int location, int v0, int v1, int v2)

### glProgramUniform4i

public static void glProgramUniform4i(int program, int location, int v0, int v1, int v2, int v3)

### glProgramUniform1f

public static void glProgramUniform1f(int program, int location, float v0)

### glProgramUniform2f

public static void glProgramUniform2f(int program, int location, float v0, float v1)

### glProgramUniform3f

public static void glProgramUniform3f(int program, int location, float v0, float v1, float v2)

### glProgramUniform4f

public static void glProgramUniform4f(int program, int location, float v0, float v1, float v2, float v3)

### glProgramUniform1d

public static void glProgramUniform1d(int program, int location, double v0)

### glProgramUniform2d

public static void glProgramUniform2d(int program, int location, double v0, double v1)

### glProgramUniform3d

public static void glProgramUniform3d(int program, int location, double v0, double v1, double v2)

### glProgramUniform4d

public static void glProgramUniform4d(int program, int location, double v0, double v1, double v2, double v3)

### glProgramUniform1

public static void glProgramUniform1(int program, int location, IntBuffer value)

### glProgramUniform2

public static void glProgramUniform2(int program, int location, IntBuffer value)

### glProgramUniform3

public static void glProgramUniform3(int program, int location, IntBuffer value)

### glProgramUniform4

public static void glProgramUniform4(int program, int location, IntBuffer value)

### glProgramUniform1

public static void glProgramUniform1(int program, int location, FloatBuffer value)

### glProgramUniform2

public static void glProgramUniform2(int program, int location, FloatBuffer value)

### glProgramUniform3

public static void glProgramUniform3(int program, int location, FloatBuffer value)

### glProgramUniform4

public static void glProgramUniform4(int program, int location, FloatBuffer value)

### glProgramUniform1

public static void glProgramUniform1(int program, int location, DoubleBuffer value)

### glProgramUniform2

public static void glProgramUniform2(int program, int location, DoubleBuffer value)

### glProgramUniform3

public static void glProgramUniform3(int program, int location, DoubleBuffer value)

### glProgramUniform4

public static void glProgramUniform4(int program, int location, DoubleBuffer value)

### glProgramUniform1ui

public static void glProgramUniform1ui(int program, int location, int v0)

### glProgramUniform2ui

public static void glProgramUniform2ui(int program, int location, int v0, int v1)

### glProgramUniform3ui

public static void glProgramUniform3ui(int program, int location, int v0, int v1, int v2)

### glProgramUniform4ui

public static void glProgramUniform4ui(int program, int location, int v0, int v1, int v2, int v3)

### glProgramUniform1u

public static void glProgramUniform1u(int program, int location, IntBuffer value)

### glProgramUniform2u

public static void glProgramUniform2u(int program, int location, IntBuffer value)

### glProgramUniform3u

public static void glProgramUniform3u(int program, int location, IntBuffer value)

### glProgramUniform4u

public static void glProgramUniform4u(int program, int location, IntBuffer value)

### glProgramUniformMatrix2

public static void glProgramUniformMatrix2(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3

public static void glProgramUniformMatrix3(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4

public static void glProgramUniformMatrix4(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix2

public static void glProgramUniformMatrix2(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3

public static void glProgramUniformMatrix3(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4

public static void glProgramUniformMatrix4(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix2x3

public static void glProgramUniformMatrix2x3(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3x2

public static void glProgramUniformMatrix3x2(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix2x4

public static void glProgramUniformMatrix2x4(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4x2

public static void glProgramUniformMatrix4x2(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3x4

public static void glProgramUniformMatrix3x4(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4x3

public static void glProgramUniformMatrix4x3(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix2x3

public static void glProgramUniformMatrix2x3(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3x2

public static void glProgramUniformMatrix3x2(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix2x4

public static void glProgramUniformMatrix2x4(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4x2

public static void glProgramUniformMatrix4x2(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix3x4

public static void glProgramUniformMatrix3x4(int program, int location, boolean transpose, DoubleBuffer value)

### glProgramUniformMatrix4x3

public static void glProgramUniformMatrix4x3(int program, int location, boolean transpose, DoubleBuffer value)

### glValidateProgramPipeline

public static void glValidateProgramPipeline(int pipeline)

### glGetProgramPipelineInfoLog

public static void glGetProgramPipelineInfoLog(int pipeline, IntBuffer length, ByteBuffer infoLog)

### glGetProgramPipelineInfoLog

public static String glGetProgramPipelineInfoLog(int pipeline, int bufSize)
Overloads glGetProgramPipelineInfoLog.

### glVertexAttribL1d

public static void glVertexAttribL1d(int index, double x)

### glVertexAttribL2d

public static void glVertexAttribL2d(int index, double x, double y)

### glVertexAttribL3d

public static void glVertexAttribL3d(int index, double x, double y, double z)

### glVertexAttribL4d

public static void glVertexAttribL4d(int index, double x, double y, double z, double w)

### glVertexAttribL1

public static void glVertexAttribL1(int index, DoubleBuffer v)

### glVertexAttribL2

public static void glVertexAttribL2(int index, DoubleBuffer v)

### glVertexAttribL3

public static void glVertexAttribL3(int index, DoubleBuffer v)

### glVertexAttribL4

public static void glVertexAttribL4(int index, DoubleBuffer v)

### glVertexAttribLPointer

public static void glVertexAttribLPointer(int index, int size, int stride, DoubleBuffer pointer)

### glVertexAttribLPointer

public static void glVertexAttribLPointer(int index, int size, int stride, long pointer_buffer_offset)

### glGetVertexAttribL

public static void glGetVertexAttribL(int index, int pname, DoubleBuffer params)

### glViewportArray

public static void glViewportArray(int first, FloatBuffer v)

### glViewportIndexedf

public static void glViewportIndexedf(int index, float x, float y, float w, float h)

### glViewportIndexed

public static void glViewportIndexed(int index, FloatBuffer v)

### glScissorArray

public static void glScissorArray(int first, IntBuffer v)

### glScissorIndexed

public static void glScissorIndexed(int index, int left, int bottom, int width, int height)

### glScissorIndexed

public static void glScissorIndexed(int index, IntBuffer v)

### glDepthRangeArray

public static void glDepthRangeArray(int first, DoubleBuffer v)

### glDepthRangeIndexed

public static void glDepthRangeIndexed(int index, double n, double f)

### glGetFloat

public static void glGetFloat(int target, int index, FloatBuffer data)

### glGetFloat

public static float glGetFloat(int target, int index)
Overloads glGetFloati_v.

### glGetDouble

public static void glGetDouble(int target, int index, DoubleBuffer data)

### glGetDouble

public static double glGetDouble(int target, int index)
Overloads glGetDoublei_v.